<?xml version="1.0"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">
<hibernate-mapping>
    <class name="com.arrebol.taxiservicios.model.stocktaking.view.StocktakingInvoiceView" table="STOCKTAKING_INVOICE_VIEW" catalog="crov_spa" mutable="false">
        <id name="id" type="string">
            <column name="id" length="36" />
        </id>
        <property name="folio" type="string">
            <column name="folio" length="50" />
        </property>
        <property name="provider" type="string">
            <column name="provider_name" length="103" />
        </property>
        <property name="driver" type="string">
            <column name="driver_name" length="103" />
        </property>
        <property name="buyDate" type="date">
            <column name="buy_date" length="10" />
        </property>
        <property name="subTotal" type="float" >
            <column name="subtotal"/>
        </property>
        <property name="iva" type="float" >
            <column name="iva"/>
        </property>
        <property name="total" type="float" >
            <column name="total"/>
        </property>
        <property name="statusType" column="status_type">
            <type name="org.hibernate.type.EnumType">
                <param name="enumClass">com.arrebol.taxiservicios.model.enums.StatusType</param>
                <param name="useNamed">true</param>
            </type>
        </property>
        <property name="comment" type="string">
            <column name="comment" length="250" />
        </property>
        <property name="economicNumber" type="string">
            <column name="economic_number" length="12" />
        </property>
        <property name="createdOn" type="timestamp">
            <column length="19" name="created_on"/>
        </property>
        <property name="authorize" column="authorize">
            <type name="org.hibernate.type.EnumType">
                <param name="enumClass">com.arrebol.taxiservicios.model.enums.StatusType</param>
                <param name="useNamed">true</param>
            </type>
        </property>
        <property name="createdBy" type="string">
            <column name="created_by" length="103" />
        </property>        
        
        <property name="location" type="string">
            <column name="location" length="250" />
        </property>
    </class>
</hibernate-mapping>